routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\AdminController;
use App\Http\Controllers\RuanganController;
use App\Http\Controllers\DokterController;
use App\Http\Controllers\AduanController;
use App\Http\Controllers\BannerAdsController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::middleware(['auth', 'cekuser:admin'])->group(function () {
    Route::get('/', [AdminController::class, 'index']);

    Route::get('admin', [AdminController::class, 'index'])->name('home');;
    Route::resource('ruangan', RuanganController::class);
    Route::resource('dokter', DokterController::class);
    Route::post('del_dokter/{id}', [DokterController::class, 'destroy']);
    Route::get('jadwal_dokter/{dokterId}', [DokterController::class, 'editJadwal']);
    Route::post('input_jadwal/{dokterId}', [DokterController::class, 'inputJadwal']);
    
    Route::post('upload_image_ruangan', [RuanganController::class, 'uploadImage']);
    Route::get('fetch_image_ruangan/{ruanganId}', [RuanganController::class, 'fetchImage']);
    Route::get('delete_image_ruangan/{id}', [RuanganController::class, 'deleteImage']);

    Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

    Route::resource('users', App\Http\Controllers\KelolaUserController::class);
    Route::resource('banners', BannerAdsController::class);
    Route::resource('kelola_pelayanan',  App\Http\Controllers\KelolaPelayananController::class);
    Route::get('kelola-not-direct/{pelayananId}',  [App\Http\Controllers\KelolaPelayananController::class, 'showNotDirect']);
    Route::post('simpan_foto_det_pel',  [App\Http\Controllers\KelolaPelayananController::class, 'simpanFotoDetPel']);
    Route::get('delete-not-direct/{id}',  [App\Http\Controllers\KelolaPelayananController::class, 'deleteFotoDetPel']);
    Route::post('update-detail-pelayanan-not-direct',  [App\Http\Controllers\KelolaPelayananController::class, 'storeDetPelNotDirect']);
    Route::post('update_pelayanan_direct',  [App\Http\Controllers\KelolaPelayananController::class, 'simpanDirectPelayanan']);
    Route::post('update_det_pelayanan_direct',  [App\Http\Controllers\KelolaPelayananController::class, 'storeDetPelDirect']);
    Route::get('delete-direct-pelayanan/{pelayananId}',  [App\Http\Controllers\KelolaPelayananController::class, 'delDirectPelayanan']);
    Route::post('simpan_new_pelayanan',  [App\Http\Controllers\KelolaPelayananController::class, 'storeNewPelayanan']);
    Route::post('simpan_not_direct_pel/{id}',  [App\Http\Controllers\KelolaPelayananController::class, 'storeNewNotDirect']);
    
});

Route::middleware(['auth'])->group(function () {
    Route::get('pengaduan', [AduanController::class, 'index']);
    Route::get('pengaduan/{id}', [AduanController::class, 'showAduan']);
    Route::get('histori_pengaduan', [AduanController::class, 'historiAduan']);
    Route::get('fetch_data_duahari_aduan', [AduanController::class, 'fetchDataDuaHari']);
    Route::get('fetch_data_aduan', [AduanController::class, 'fetchData']);
    Route::get('get_unsoundbell', [AduanController::class, 'getUnSoundBell']);

    Route::post('mute_sound_bell', [AduanController::class, 'mutedSoundBell']);
    Route::post('action_aduan', [AduanController::class, 'actionAduan']);
    Route::get('get_aduan_by/{id}', [AduanController::class, 'getAduan']);
    Route::post('konfirmasi_aduan', [AduanController::class, 'sendKonfirmasi']);
});


Auth::routes(['register' => false]);

app/Models/Pelayanan.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Pelayanan extends Model
{
    use HasFactory;
    protected $table = "pelayanan";
}

app/Http/Controllers/Api/PelayananController.php
<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Pelayanan;
use App\Models\Jadwal;
use DB;

class PelayananController extends Controller
{

    public function fetchTarifRanap()
    {
        $curlTarifRanap = curl_init();
        curl_setopt_array($curlTarifRanap, array(
            CURLOPT_URL => "http://192.168.100.88/promedika/api-referensi/info-tarif-kamar",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_ENCODING => "",
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_TIMEOUT => 30,
            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
            CURLOPT_CUSTOMREQUEST => "GET",
            CURLOPT_HTTPHEADER => array(
                "cache-control: no-cache",
            ),
        ));
        $responseTarif = curl_exec($curlTarifRanap);
        curl_close($curlTarifRanap);
        $tarifRanap = json_decode($responseTarif, true);
        return $tarifRanap['data'];
    }
    
    public function fetchIndex()
    {
        $pelayanan = Pelayanan::where('is_active', 1)->get();
        return response()->json(["code" => 200, "data" => $pelayanan]);
    }

    public function detailIndex($id, $tipe)
    {
        $dataItem = [];
        if($tipe == 'not-direct') {
            $pelayanan = DB::table('detail_pelayanan as dp')->where('dp.pelayanan_id', $id)
                ->select('dp.nama_det', 'dp.id', 'dp.pelayanan_id')
                ->get();
        }
        else if($tipe == 'not-direct-tarif'){
            $pelayanan = [];
            $photos = [];
            $layananParent = DB::table('detail_pelayanan as dp')->where('dp.pelayanan_id', $id)
                ->select('dp.nama_det', 'dp.id', 'dp.deskripsi_pel')
                ->get();
            foreach ($layananParent as $row) {
                $layananSecond = DB::table('foto_det_pel as foto')
                    ->where('foto.id_det_pel', $row->id)
                    ->select('foto.foto_det_pel as foto')
                    ->get();
                foreach ($layananSecond as $s) {
                    array_push($photos,[
                      "photo" => $s->foto
                    ]);
                }
                array_push($pelayanan, [
                    'id' => $row->id,
                    'nama_det' => $row->nama_det,
                    'deskripsi_pel' => strval($row->deskripsi_pel),
                    'photos' => $photos
                ]);
                $photos = [];
            }
        }else if($tipe == 'direct'){
            $pelayanan = [];
            $photos = [];
            $layananParent = Pelayanan::where('pelayanan.is_active', 1)
                ->where('pelayanan.id', $id)
                ->get();
            foreach ($layananParent as $row) {
                $layananSecond = DB::table('detail_pelayanan as dp')->where('dp.pelayanan_id', $row->id)
                    ->get();
                foreach ($layananSecond as $s) {
                    array_push($photos,[
                        "photo" => $s->foto
                    ]);
                }
                array_push($pelayanan, [
                    'id' => $row->id,
                    'nama_det' => $row->nama,
                    'deskripsi_pel' => strval($row->deskripsi),
                    'photos' => $photos
                ]);
                $photos = [];
            }
        }else if($tipe == 'empty'){
            $pelayanan = [];
        }

        if($tipe == 'not-direct-tarif'){
            $tarifRanap = $this->fetchTarifRanap();
            foreach ($tarifRanap as $row) {
                array_push($dataItem, [
                    "item1" => $row["product_name"],
                    "item2" => rupiah($row["price"])
                ]);
            }
        }else{
            $jadwal = Jadwal::where('pelayanan_id', $id)
                    ->select('hari_1', 'hari_2', 'jam_1', 'jam_2', 'is_24_jam')
                    ->get();
           
            foreach ($jadwal as $i) {
                if($i->is_24_jam == 0){
                    if($i->hari_2 != null){
                        $item1 = strval($i->hari_1.' s.d '.$i->hari_2);
                        $item2 = strval($i->jam_1.' - '.$i->jam_2);
                    }else{
                        $item1 = strval($i->hari_1);
                        $item2 = strval($i->jam_1.' - '.$i->jam_2);
                    }
                }else{
                    $item1 = "Senin s.d Minggu";
                    $item2 = "24 Jam";
                }
                array_push($dataItem, [
                    'item1' => $item1,
                    'item2' => $item2
                ]);
            }
        }
        
        return response()->json(["code" => 200, "data" => $pelayanan, "item" => $dataItem]);
    }

    public function detailIndex2($id)
    {
        $pelayanan = [];
        $photos = [];
        $layananParent = DB::table('detail_pelayanan as dp')->where('dp.id', $id)
            ->select('dp.nama_det', 'dp.id', 'dp.deskripsi_pel')
            ->get();
        foreach ($layananParent as $row) {
            $layananSecond = DB::table('foto_det_pel as foto')
                ->where('foto.id_det_pel', $row->id)
                ->select('foto.foto_det_pel as foto')
                ->get();
            foreach ($layananSecond as $s) {
                array_push($photos,[
                  "photo" => $s->foto
                ]);
            }
            array_push($pelayanan, [
                'id' => $row->id,
                'nama_det' => $row->nama_det,
                'deskripsi_pel' => strval($row->deskripsi_pel),
                'photos' => $photos
            ]);
            $photos = [];
        }

        $dataItem = [];

        $idPelayanan = 0;
        if($id == 14){
            $idPelayanan = 14;
        }elseif ($id == 15) {
            $idPelayanan = 15;
        }else{
            $idPelayanan = 7;
        }
        $jadwal = Jadwal::where('pelayanan_id', $idPelayanan)
            ->select('hari_1', 'hari_2', 'jam_1', 'jam_2', 'is_24_jam')
            ->get();

        foreach ($jadwal as $i) {
            if($i->is_24_jam == 0){
                if($i->hari_2 != null){
                    $item1 = strval($i->hari_1.' s.d '.$i->hari_2);
                    $item2 = strval($i->jam_1.' - '.$i->jam_2);
                }else{
                    $item1 = strval($i->hari_1);
                    $item2 = strval($i->jam_1.' - '.$i->jam_2);
                }
            }else{
                $item1 = "Senin s.d Minggu";
                $item2 = "24 Jam";
            }
            array_push($dataItem, [
                'item1' => $item1,
                'item2' => $item2
            ]);
        }
        return response()->json(["code" => 200, "data" => $pelayanan, "item" => $dataItem]);     
    }

}

resources/views/admin/pelayanan/index.blade.php
@extends('templates.main')
@section('content')
<div class="pagetitle">
    <h1>Pelayanan</h1>
    <nav>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{{ url('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item active">Pelayanan</li>
        </ol>
    </nav>
</div>
<section class="section">
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-body">
                    <h5 class="card-title">Data Pelayanan</h5>
                    @if(Session::has('success'))
                        <div class="alert alert-success alert-dismissible fade show" role="alert">
                            {{ Session::get('success') }}
                            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                        </div>
                    @endif
                    <button type="button" class="btn btn-primary mb-3" data-bs-toggle="modal" data-bs-target="#addNewData">
                        Tambah Data
                    </button>
                    <table class="table" id="datatable">
                        <thead>
                            <tr>
                                <th>
                                    No
                                </th>
                                <th>
                                    Nama
                                </th>
                                <th>
                                    Ditampilkan
                                </th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            @php $no = 0; @endphp
                            @foreach($pelayanan as $row)
                            @php $no++; @endphp
                            <tr>
                                <td>
                                    {{ $no }}
                                </td>
                                <td>
                                    {{ $row->nama }}
                                </td>
                                <td>
                                    {{ $row->is_active == 1 ? "Ditampilkan" : "Tidak Ditampilkan" }}
                                </td>
                                <td>
                                    <a href="{{ route('kelola_pelayanan.show', $row->id) }}" class="btn btn-sm btn-success">
                                        <i class="ri-camera-2-line"></i> </a>
                                    <button type="button" class="btn btn-primary btn-sm" data-bs-toggle="modal" data-bs-target="#editData{{ $row->id }}">
                                        <i class="ri-edit-box-line"></i> 
                                    </button>
                                </td>
                            </tr>

                            <div class="modal fade" id="editData{{ $row->id }}" tabindex="-1" aria-hidden="true" style="display: none;">
                                <div class="modal-dialog modal-lg">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title">Edit Pelayanan</h5>
                                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                        </div>
                                        <div class="modal-body">
                                            <form method="POST" action="{{ url('simpan_new_pelayanan') }}">
                                                @csrf
                                                <input type="hidden" name="id" value="{{ $row->id }}" />
                                                <div class="form-group mb-3">
                                                    <label>Nama</label>
                                                    <input type="text" class="form-control" name="nama" value="{{ $row->nama }}" required />
                                                </div>
                                                <div class="form-group mb-3">
                                                    <label>Tipe</label>
                                                    <select class="form-select" name="tipe" required>
                                                        <option value="">Pilih salah satu</option>
                                                        <option @if($row->tipe == "ranap") selected @endif value="ranap">Rawat Inap</option>
                                                        <option @if($row->tipe == "igd") selected @endif value="igd">IGD</option>
                                                        <option @if($row->tipe == "penunjang") selected @endif value="penunjang">Penunjang</option>
                                                        <option  @if($row->tipe == "rajal") selected @endif value="rajal">Rawat Jalan</option>
                                                    </select>
                                                </div>
                                                <div class="form-group mb-3">
                                                    <label>Tipe Layout Android</label>
                                                    <select class="form-select" required id="tipeAndroid{{ $row->id }}" name="status" onchange="selectLayoutAndroidEdit('{{ $row->id }}')">
                                                        <option value="">Pilih salah satu</option>
                                                        <option @if($row->status == "direct") selected @endif value="direct">Langsung Tanpa Sub Menu</option>
                                                        <option @if($row->status == "not-direct") selected @endif value="not-direct">Dengan Sub Menu</option>
                                                        <option @if($row->status == "not-direct-tarif") selected @endif value="not-direct-tarif">Dengan Sub Menu Ada Item Tarif / Lainnya</option>
                                                        <option @if($row->status == "empty") selected @endif value="empty">Kosong (Seperti detail dokter di halaman home)</option>
                                                    </select>
                                                </div>
                                                <div class="form-group mb-3">
                                                    <label>Tampilkan</label>
                                                    <div class="form-check">
                                                        <input class="form-check-input" type="radio" name="is_active"
                                                            @if($row->is_active == 1) selected @endif id="gridRadios1" value="1" checked>
                                                        <label class="form-check-label" for="gridRadios1">Ya</label>
                                                    </div>
                                                    <div class="form-check">
                                                        <input class="form-check-input" type="radio" name="is_active"
                                                            @if($row->is_active == 0) selected @endif id="gridRadios2" value="0">
                                                        <label class="form-check-label" for="gridRadios2">Tidak</label>
                                                    </div>
                                                </div>
                                                <div class="form-group @if($row->status != 'direct') hidden @endif" id="rowDeskripsi{{ $row->id }}">
                                                    <label>Deskripsi</label>
                                                    <textarea class="form-control" name="deskripsi">{{ $row->deskripsi }}</textarea>
                                                </div>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="submit" class="btn btn-primary">Simpan</button>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                            

                            @endforeach
                        </tbody>
                    </table>

                    <div class="modal fade" id="addNewData" tabindex="-1" aria-hidden="true" style="display: none;">
                        <div class="modal-dialog modal-lg">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title">Pelayanan Baru</h5>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                </div>
                                <div class="modal-body">
                                   <form method="POST" action="{{ url('simpan_new_pelayanan') }}">
                                        @csrf
                                        <input type="hidden" name="id" value="" />
                                        <div class="form-group mb-3">
                                            <label>Nama</label>
                                            <input type="text" class="form-control" name="nama" required />
                                        </div>
                                        <div class="form-group mb-3">
                                            <label>Tipe</label>
                                            <select class="form-select" name="tipe" required>
                                                <option value="">Pilih salah satu</option>
                                                <option value="ranap">Rawat Inap</option>
                                                <option value="igd">IGD</option>
                                                <option value="penunjang">Penunjang</option>
                                                <option value="rajal">Rawat Jalan</option>
                                            </select>
                                        </div>
                                        <div class="form-group mb-3">
                                            <label>Tipe Layout Android</label>
                                            <select class="form-select" required id="tipeAndroid" name="status" onchange="selectLayoutAndroid()">
                                                <option value="">Pilih salah satu</option>
                                                <option value="direct">Langsung Tanpa Sub Menu</option>
                                                <option value="not-direct">Dengan Sub Menu</option>
                                                <option value="not-direct-tarif">Dengan Sub Menu Ada Item Tarif / Lainnya</option>
                                                <option value="empty">Kosong (Seperti detail dokter di halaman home)</option>
                                            </select>
                                        </div>
                                        <div class="form-group mb-3">
                                            <label>Tampilkan</label>
                                            <div class="form-check">
                                                <input class="form-check-input" type="radio" name="is_active" id="gridRadios1" value="1" checked>
                                                <label class="form-check-label" for="gridRadios1">Ya</label>
                                            </div>
                                            <div class="form-check">
                                                <input class="form-check-input" type="radio" name="is_active" id="gridRadios2" value="0">
                                                <label class="form-check-label" for="gridRadios2">Tidak</label>
                                            </div>
                                        </div>
                                        <div class="form-group hidden" id="rowDeskripsi">
                                            <label>Deskripsi</label>
                                            <textarea class="form-control" name="deskripsi"></textarea>
                                        </div>
                                </div>
                                <div class="modal-footer">
                                    <button type="submit" class="btn btn-primary">Simpan</button>
                                </div>
                                </form>
                            </div>
                        </div>
                    </div>


                </div>
            </div>
        </div>
    </div>
</section>
@endsection

@push('scripts')
<script>
     $("#datatable").DataTable();

     function selectLayoutAndroid() {
        var tipeAndroid = $("#tipeAndroid").val();
        if(tipeAndroid == 'direct'){
            $("#rowDeskripsi").removeClass("hidden");
        }else{
            $("#rowDeskripsi").addClass("hidden");
        }
     }

     function selectLayoutAndroidEdit(id) {
        var tipeAndroid = $("#tipeAndroid"+id).val();
        if(tipeAndroid == 'direct'){
            $("#rowDeskripsi"+id).removeClass("hidden");
        }else{
            $("#rowDeskripsi"+id).addClass("hidden");
        }
     }
</script>
@endpush

resources/views/admin/pelayanan/not-direct.blade.php
@extends('templates.main')
@section('content')
<div class="pagetitle">
    <h1>Daftar Ruangan</h1>
    <nav>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{{ url('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item active">Daftar Ruangan</li>
        </ol>
    </nav>
</div>
<section class="section">
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-body">
                    <h5 class="card-title">Daftar Ruangan</h5>
                    <button type="button" class="btn btn-primary mb-3" data-bs-toggle="modal" data-bs-target="#basicModal">
                        Tambah Data
                    </button>
                    <table class="table" id="datatable">
                        <thead>
                            <tr>
                                <th>
                                    No
                                </th>
                                <th>
                                    Nama
                                </th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            @php $no = 0; @endphp
                            @foreach($detPelayanan as $row)
                            @php $no++; @endphp
                            <tr>
                                <td>
                                    {{ $no }}
                                </td>
                                <td>
                                    {{ $row->nama_det }}
                                </td>
                                <td>
                                    <a href="{{ url('kelola-not-direct/'.$row->id) }}" class="btn btn-sm btn-primary">
                                        <i class="ri-edit-box-line"></i> </a>
                                </td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</section>

<div class="modal fade" id="basicModal" tabindex="-1" aria-hidden="true" style="display: none;">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Tambah Data</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form method="POST" action="{{ url('simpan_not_direct_pel/'.Request::segment(2)) }}">
                    @csrf
                    <div class="form-group">
                        <label>Nama Pelayanan</label>
                        <input type="text" class="form-control" name="nama_det" />
                    </div>
                    <div class="form-group">
                        <label>Deskripsi</label>
                        <textarea class="form-control" name="deskripsi_pel"></textarea>
                    </div>
            </div>
            <div class="modal-footer">
                    <button class="btn btn-primary" type="submit">Simpan</button>
                </form>
            </div>
        </div>
    </div>
</div>
@endsection

@push('scripts')
<script>
     $("#datatable").DataTable();
</script>
@endpush